:root {
  --grey-light: #efefef;
  --divider: 2px solid var(--grey-light);
}

small {
  color: inherit;
}

.link_button span {
  display: block;
  font-weight: normal;
  font-size: 1.4rem;
}

.Toggle {
  display: inline-flex;
  align-items: center;
  flex-wrap: wrap;
  position: relative;
  gap: 1ch;
}

.Toggle__display {
  --diameter: 1.8rem;

  display: inline-flex !important;
  align-items: center;
  justify-content: space-around;

  width: 3.2rem;
  box-sizing: content-box;

  position: relative;
  border-radius: 100vw;
  background-color: #d8d8d8;

  transition: 250ms;
  cursor: pointer;
}

.Toggle__display::before {
  content: "";

  width: var(--diameter);
  height: var(--diameter);
  border-radius: 50%;

  box-sizing: border-box;
  border: 0.1 solid rgb(0 0 0 / 0.2);

  position: absolute;
  z-index: 2;
  top: 50%;
  left: 0;
  transform: translate(0, -50%);

  background-color: #868686;
  transition: inherit;
}

.Toggle__display::after {
  content: "";

  width: 100%;
  height: 1rem;
}

.Toggle__input {
  position: absolute;
  opacity: 0;
  width: 100%;
  height: 100%;
}

.Toggle__input:focus + .Toggle__display {
  outline: 1px dotted #212121;
  outline: 1px auto -webkit-focus-ring-color;
}

.Toggle__input:focus:not(:focus-visible) + .Toggle__display {
  outline: 0;
}

.Toggle__input:checked + .Toggle__display {
  background-color: #ddeeea;
}

.Toggle__input:checked + .Toggle__display::before {
  transform: translate(100%, -50%);
  background-color: #40a8c7;
}

.Toggle__input:disabled + .Toggle__display {
  opacity: 0.6;
  filter: grayscale(40%);
  cursor: not-allowed;
}

.chapo {
  margin-left: 2.25rem;
}

.accomodation-v2 {
  padding: 3.2rem;
  font-size: 1.6rem;
  background-color: #fff;
}

.accomodation-v2:has(+ .page-title) {
  margin-bottom: 2.5rem;
}

.accomodation-v2__summary {
  display: flex;
  justify-content: space-between;
  gap: 4rem;
}

.accomodation-v2__summary > div:last-child {
  padding: 0.8rem 0 0.8rem 4rem;
  border-left: var(--divider);
}

.accomodation-v2__summary > div:last-child p:first-child {
  font-weight: bold;
  margin-bottom: 0.4rem;
}

.accomodation-v2__summary p {
  margin-bottom: 0;
}

.accomodation-v2__summary small {
  margin-top: 0.4rem;
}

.accomodation-v2__step {
  padding-top: 2.4rem;
}

.accomodation-v2__step:first-of-type {
  margin-top: 1.6rem;
  border-top: var(--divider);
}

.accomodation-v2__step .rental-step__content {
  margin-top: 0;
}

.accomodation-v2__step .rental-step__content > div:first-child {
  align-self: flex-start;
}

.accomodation-v2__step img {
  width: 2.4rem;
}

.rental-steps,
.accomodation-steps {
  display: flex;
  flex-direction: column;
  gap: 3.2rem;
  margin-top: 3.2rem;
}

.rental-step,
.rental-step__content {
  display: flex;
  gap: 4rem;
}

.rental-step > div:first-child > img {
  width: 8.4rem;
}

.rental-step__title {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.rental-step__content {
  align-items: center;
  width: 100%;
  margin-top: 2.8rem;
}

.rental-steps .rental-step__content > div:first-child {
  width: 75%;
}

.rental-step__content > div:last-child {
  flex-shrink: 0;
  width: 25%;
  margin-left: auto;
}

.rental-step__content > div:last-child a {
  display: block;
}

.rental-step__content ol {
  list-style-type: "";
  counter-reset: accomodation-steps;
}

.rental-step__content ol li {
  display: flex;
  gap: 0.8rem;
  --accomodation-step-color: #de3f1a;
  counter-increment: accomodation-steps;
}

.rental-step.is-disabled .rental-step__content li {
  --accomodation-step-color: #868686;
}

.rental-step__content ol li::before {
  content: counter(accomodation-steps);
  flex-shrink: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  color: white;
  font-weight: bold;
  background-color: var(--accomodation-step-color);
  border-radius: 50%;
  background-image: inherit; /*Pour écraser li::before dans styles-wcbh.css */
}

.rental-step__content ol li.step-done::before {
  content: "";
  background: transparent url(../../img/icons/check-green.svg) center center
    no-repeat;
  background-size: contain;
}

.rental-step__content .persona-status {
  border-bottom-width: 1px;
}

.rental-step__content .persona-status:not(:first-of-type) {
  margin-top: 0.75rem;
}

.rental-step__content .persona-status:last-of-type {
  border-bottom: none;
}

.card-inline {
  padding: 3.2rem;
  background-color: #fff;
  box-shadow: 0 0 1rem 1px rgba(202, 202, 202, 0.5);
}

.card-inline > div:last-child {
  width: 100%;
}

.card-inline .rental-step__content {
  align-items: flex-start;
}

.accomodation-steps {
  counter-reset: accomodation;
}

.accomodation-step {
  counter-increment: accomodation;
}

.accomodation-step h2 {
  display: flex;
  align-items: center;
  gap: 1.6rem;
  margin-bottom: 1.6rem;
}

.accomodation-step h2::before {
  content: counter(accomodation);
  flex-shrink: 0;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: 2.4rem;
  height: 2.4rem;
  font-size: 1.4rem;
  color: white;
  background-color: #de3f1a;
  border-radius: 50%;
}

.accomodation-step.step-done h2::before {
  content: "";
  background: transparent url(../../img/icons/check-green.svg) center center
    no-repeat;
  background-size: contain;
}

.accomodation-step__content {
  display: flex;
  gap: 2.4rem;
}


 .accomodation-step__content:not(.cols3) > div:first-child {
  width: 100%;
} 

.accomodation-step__content > div:not(:only-child):last-child {
  width: 100%;
  max-width: 32rem;
}

.accomodation-step__content .link_border {
  width: 100%;
}

.payements-list li::before {
  content: none;
}

.payement {
  display: flex;
  gap: 3.6rem;
}

.payement > div:first-of-type {
  min-width: 32%;
}

.payement > div:nth-of-type(2) {
  color: #9b9b9b;
}

.payement small {
  margin-top: 0.8rem;
  color: #b0aba8;
}

.persona-status_title > div {
  margin-left: auto;
}

.persona-status_content {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 2rem;
}

@media (max-width: 768px) {
  .accomodation-v2__summary {
    flex-direction: column;
    gap: 2.4rem;
  }

  .accomodation-v2__summary > div:last-child {
    padding-left: 0;
    border-left: 0;
  }

  .payement {
    flex-direction: column;
    gap: 1rem;
    margin-bottom: 3.2rem;
  }

  .rental-step,
  .accomodation-step__content,
  .rental-step__title {
    flex-direction: column;
  }

  .rental-step__content {
    flex-wrap: wrap;
    gap: 2.4rem;
  }

  .rental-step__content > div:nth-child(2) {
    width: calc(100% - 4.8rem);
  }

  .accomodation-step__content > div:not(:only-child):last-child {
    max-width: 100%;
  }

  .rental-steps .rental-step__content > div:first-child {
    width: 100%;
  }

  .rental-step__content > div:last-child {
    width: auto;
  }

  .rental-step__title > div {
    width: 100%;
  }

  .rental-step__title progress[value] {
    max-width: 100%;
    width: calc(100% - 4rem);
  }
}
